// components/My_group_list/index.js
import {
    ApiModel
} from "../../utils/api"
const _Http = new ApiModel();
Component({
    /**
     * 组件的属性列表
     */
    properties: {
        /* 账号类型 */
        fisadministrator:{
            type:Number
        }
    },

    pageLifetimes: {
        show: function () {
            const that = this;
            // 页面被展示
            _Http.basic({
                "accesstoken": wx.getStorageSync('token'),
                "classname": "customer.usercenter.teammsg.teammsg",
                "method": "query_userList",
                "content": {
                    "getdatafromdbanyway": true
                }
            }).then(s => {
                console.log(s)
                if (s.msg != "成功") return;
                this.setData({
                    memberList: s.data
                })
            })
        },
    },
    /**
     * 组件的初始数据
     */
    data: {
        memberList: [], //成员列表
    },
    /**
     * 组件的方法列表
     */
    methods: {
        //新增
        newAdd() {
            wx.navigateTo({
                url: '/pages/group&product/change?type=group',
            })
        }
    }
})