const app = getApp()
Component({
    /**
     * 组件的属性列表
     */
    properties: {},
    /* 组件的生命周期 */
    lifetimes: {
        attached: function () {
            // 在组件实例进入页面节点树时执行
            this.setData({
                userList:getApp().globalData.accountList
            })
        },
        detached: function () {
            // 在组件实例被从页面节点树移除时执行
        },
    },

    /**
     * 组件的初始数据
     */
    data: {
        userList: [],
    },

    /**
     * 组件的方法列表
     */
    methods: {
        loginAccount(e) {
            //全局储存
            wx.setStorageSync('userIndex', e.currentTarget.dataset.index)
            wx.setStorageSync('token', this.data.userList[e.currentTarget.dataset.index].token)
            wx.reLaunch({
                url: '/pages/tabbarPage/Home/index'
            })
        }
    }
})