import {
    ApiModel
} from '../../../utils/api'
const _Http = new ApiModel();
Page({
    /**
     * 页面的初始数据
     */
    data: {
        userMsg: {}, //用户信息
        userimg:{},//用户头像
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {},
    /* 跳转修改信息 */
    toUserMsg() {
        const data = JSON.stringify(this.data.userMsg)
        wx.navigateTo({
            url: '/pages/userMessage/index?data=' + data
        })
    },
    /* 跳转商户管理 */
    setShop() {
        wx.navigateTo({
            url: '/pages/userPerfectMsg/index?type=edit',
        })
    },
    /* 跳转管理页面，团队管理 产品管理 */
    setPage(e) {
        const {
            type
        } = e.target.dataset;
        wx.navigateTo({
            url: '/pages/group&product/index?type=' + type
        })
    },
    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {
        this.getTabBar().init();

        /* 获取个人信息 */
        _Http.basic({
            "accesstoken": wx.getStorageSync('token'),
            "classname": "customer.usercenter.usermsg.usermsg",
            "method": "query_usermsg",
            "content": {}
        }).then(s => {
            if (s.msg != "成功") return;
            this.setData({
                userMsg: s.data[0],
                userimg:s.data[0].attinfos[s.data[0].attinfos.length - 1]
            })
        })
    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    }
})